
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('style.css');
        @import url('roundedcorners.css');
        @import url('tree.css');
            </style>
    
    <script src="sorttable.js" type="text/javascript"></script>
    <script src="overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="clover.js" type="text/javascript"></script>
    <script src="cloud.js" type="text/javascript"></script>
    <script src="help.js" type="text/javascript"></script>
  <title>HttpCore 4.3-alpha1</title>
</head><body onload="loadPkgPane('HttpCore 4.3-alpha1', 'pkg-app.html');">
  <!-- render overall summary coverage graph -->
<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="7">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore 4.3-alpha1</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:43:21 CET</div>

        
                <div class="navBar"><span class="navBarCurrent">App</span>&nbsp;&nbsp;&nbsp; <a href="testsrc-pkg-summary.html">Test</a>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<a href="proj-risks.html">Clouds</a></div>
        
            <div class="navBar"><span class="navBarCurrent">Overview</span>&nbsp;&nbsp;&nbsp;Package&nbsp;&nbsp;&nbsp;File</div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="pkg-summary.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Wed Nov 28 2012 22:43:03 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      4,657
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      28,889
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      2,297
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      3.87
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      1,820
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      12,053
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.49
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      5.4
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      1,204
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      219
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      1.91
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      14.87
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      223
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      15
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Wed Nov 28 2012 22:43:03 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      4,657
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      28,889
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      2,297
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      3.87
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      1,820
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      12,053
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.49
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      5.4
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      1,204
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      219
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      1.91
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      14.87
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      223
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      15
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>



<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>

<tr>
  <td class="graphHeaderLeft"><b>&nbsp;</b></td>
  <td class="graphHeader headerTitle" colspan="1"><label >Packages</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></td>
  <td class="graphHeader headerTitle" colspan="2"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></td>
</tr>

  <tr>
    <td class="graphItem">
			<a class='cloudLink' href='proj-risks.html'><img alt='Cloud icon for Clover database Wed Nov 28 2012 22:43:03 CET' src='img/cloud.png'/></a>
	        <span class="sortValue">Clover&nbsp;database&nbsp;Wed&nbsp;Nov&nbsp;28&nbsp;2012&nbsp;22:43:03&nbsp;CET</span>
    	   Clover&nbsp;database&nbsp;Wed&nbsp;Nov&nbsp;28&nbsp;2012&nbsp;22:43:03&nbsp;CET
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">15.0</span>
          15
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.9078074</span>
          1.91
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2342.0</span>
          2,342
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.6950918</span>
          69.5%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6950918</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="30.5% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="69.5% Covered" class="barPositive " style="width: 69.5%"></div>
    </div>
</div>
      </td>
      
      </tr>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
</tbody>
<tbody>

<tr>
    <td class="sortable graphHeaderLeft" onclick="ts_resortTable(this, 'alpha', 0);return false;">
        <strong>&nbsp;Package</strong>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;"  colspan="1">
        <div class="headerTitle"><label >Files</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 2);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 3);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 4);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 5);return false;"  colspan="2">
        <div class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></div>
    </td>
        </tr><!-- render list of package coverage graphs -->
                          <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/params/pkg-risks.html'><img alt='Cloud icon for org.apache.http.params' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.params</span>
    	  <a href="org/apache/http/params/pkg-summary.html" title="org.apache.http.params">org.apache.http.params</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">14.0</span>
          14
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.1935484</span>
          1.19
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">247.0</span>
          247
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.19016394</span>
          19%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.19016394</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="81% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="19% Covered" class="barPositive " style="width: 19%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/pkg-risks.html'><img alt='Cloud icon for org.apache.http.impl' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl</span>
    	  <a href="org/apache/http/impl/pkg-summary.html" title="org.apache.http.impl">org.apache.http.impl</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">15.0</span>
          15
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.8645161</span>
          1.86
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">582.0</span>
          582
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.40612245</span>
          40.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.40612245</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="59.4% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="40.6% Covered" class="barPositive " style="width: 40.6%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/config/pkg-risks.html'><img alt='Cloud icon for org.apache.http.config' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.config</span>
    	  <a href="org/apache/http/config/pkg-summary.html" title="org.apache.http.config">org.apache.http.config</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.16</span>
          1.16
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">72.0</span>
          72
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.5231788</span>
          52.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.5231788</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="47.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="52.3% Covered" class="barPositive " style="width: 52.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/pool/pkg-risks.html'><img alt='Cloud icon for org.apache.http.impl.pool' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.pool</span>
    	  <a href="org/apache/http/impl/pool/pkg-summary.html" title="org.apache.http.impl.pool">org.apache.http.impl.pool</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.6875</span>
          1.69
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">42.0</span>
          42
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.5531915</span>
          55.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.5531915</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="44.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="55.3% Covered" class="barPositive " style="width: 55.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/io/pkg-risks.html'><img alt='Cloud icon for org.apache.http.impl.io' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.io</span>
    	  <a href="org/apache/http/impl/io/pkg-summary.html" title="org.apache.http.impl.io">org.apache.http.impl.io</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">27.0</span>
          27
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.3542857</span>
          2.35
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">581.0</span>
          581
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.6131824</span>
          61.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6131824</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="38.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="61.3% Covered" class="barPositive " style="width: 61.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/protocol/pkg-risks.html'><img alt='Cloud icon for org.apache.http.protocol' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.protocol</span>
    	  <a href="org/apache/http/protocol/pkg-summary.html" title="org.apache.http.protocol">org.apache.http.protocol</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">34.0</span>
          34
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0180724</span>
          2.02
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">352.0</span>
          352
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.66186357</span>
          66.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.66186357</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="33.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="66.2% Covered" class="barPositive " style="width: 66.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/util/pkg-risks.html'><img alt='Cloud icon for org.apache.http.util' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.util</span>
    	  <a href="org/apache/http/util/pkg-summary.html" title="org.apache.http.util">org.apache.http.util</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">12.0</span>
          12
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.5510204</span>
          2.55
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">205.0</span>
          205
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.7222222</span>
          72.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.7222222</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="27.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="72.2% Covered" class="barPositive " style="width: 72.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/entity/pkg-risks.html'><img alt='Cloud icon for org.apache.http.entity' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.entity</span>
    	  <a href="org/apache/http/entity/pkg-summary.html" title="org.apache.http.entity">org.apache.http.entity</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">13.0</span>
          13
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.4509804</span>
          1.45
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">59.0</span>
          59
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.86247087</span>
          86.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.86247087</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="13.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="86.2% Covered" class="barPositive " style="width: 86.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/pkg-risks.html'><img alt='Cloud icon for org.apache.http' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http</span>
    	  <a href="org/apache/http/pkg-summary.html" title="org.apache.http">org.apache.http</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">42.0</span>
          42
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.3673469</span>
          1.37
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">20.0</span>
          20
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8924731</span>
          89.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8924731</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="10.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="89.2% Covered" class="barPositive " style="width: 89.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/pool/pkg-risks.html'><img alt='Cloud icon for org.apache.http.pool' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.pool</span>
    	  <a href="org/apache/http/pool/pkg-summary.html" title="org.apache.http.pool">org.apache.http.pool</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">8.0</span>
          8
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.8358209</span>
          1.84
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">47.0</span>
          47
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.91360295</span>
          91.4%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.91360295</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="8.6% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="91.4% Covered" class="barPositive " style="width: 91.4%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/message/pkg-risks.html'><img alt='Cloud icon for org.apache.http.message' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.message</span>
    	  <a href="org/apache/http/message/pkg-summary.html" title="org.apache.http.message">org.apache.http.message</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">24.0</span>
          24
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.9952153</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">127.0</span>
          127
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.91395664</span>
          91.4%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.91395664</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="8.6% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="91.4% Covered" class="barPositive " style="width: 91.4%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/concurrent/pkg-risks.html'><img alt='Cloud icon for org.apache.http.concurrent' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.concurrent</span>
    	  <a href="org/apache/http/concurrent/pkg-summary.html" title="org.apache.http.concurrent">org.apache.http.concurrent</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.3</span>
          2.3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">7.0</span>
          7
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.91764706</span>
          91.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.91764706</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="8.2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="91.8% Covered" class="barPositive " style="width: 91.8%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/entity/pkg-risks.html'><img alt='Cloud icon for org.apache.http.impl.entity' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.entity</span>
    	  <a href="org/apache/http/impl/entity/pkg-summary.html" title="org.apache.http.impl.entity">org.apache.http.impl.entity</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">5.0</span>
          5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.642857</span>
          2.64
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.99333334</span>
          99.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.99333334</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="99.3% Covered" class="barPositive " style="width: 99.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
   </tbody>
<tbody>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
<tr><td class="footer" colspan="7">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:43:46 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody></table>
</body>
</html>
